"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentCard = void 0;
const tslib_1 = require("tslib");
const Card_1 = tslib_1.__importDefault(require("@material-ui/core/Card/Card"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const react_1 = tslib_1.__importDefault(require("react"));
const useStyles = makeStyles_1.default(() => createStyles_1.default({
    root: {
        overflow: 'visible',
        backgroundColor: ({ active }) => `${active ? 'rgb(0,0,0,0.1)' : 'rgb(0,0,0,0)'}`,
        width: '100%',
        marginBottom: '10px',
    },
}));
/**
 * Return a styled comment card component
 * @param isSelected A flag for store if comment is selected or not
 * @param onClick Function triggered on click event
 * @returns styled comment card component
 */
const CommentCard = (props) => {
    const classes = useStyles(props);
    return (react_1.default.createElement(Card_1.default, { className: classes.root, raised: props.active, onClick: props.onClick }, props.children));
};
exports.CommentCard = CommentCard;
//# sourceMappingURL=comment-card.js.map