"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Print = void 0;
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const Print_1 = tslib_1.__importDefault(require("@material-ui/icons/Print"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        iconButton: { display: 'inline-block' },
        icon: {},
    });
});
/**
 * Component that allows print
 */
const Print = (props) => {
    const classes = useStyles(props);
    const localization = hooks_1.useLocalization();
    const { documentData } = hooks_1.useDocumentData();
    return (react_1.default.createElement(IconButton_1.default, { className: classes.iconButton, color: "inherit", title: localization.print, onClick: () => props.print(documentData), id: "Print" },
        react_1.default.createElement(Print_1.default, { className: classes.icon })));
};
exports.Print = Print;
//# sourceMappingURL=print-widget.js.map