"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RotateDocumentWidget = void 0;
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const RotateLeft_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateLeft"));
const RotateRight_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateRight"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const rotation_model_1 = require("../../models/rotation-model");
const rotate_widget_1 = require("./rotate-widget");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        iconButton: { display: 'inline-block' },
        icon: {
            border: '2px solid',
            borderRadius: '5px',
        },
    });
});
/**
 * Component that allows document rotation
 */
const RotateDocumentWidget = (props) => {
    const localization = hooks_1.useLocalization();
    const classes = useStyles(props);
    const button = (direction, rotateDocument) => {
        const isLeft = direction === rotation_model_1.ROTATION_MODE.anticlockwise;
        return (react_1.default.createElement(IconButton_1.default, { className: classes.iconButton, title: isLeft ? localization.rotateDocumentLeft : localization.rotateDocumentRight, onClick: isLeft ? () => rotateDocument('left') : () => rotateDocument('right'), id: isLeft ? 'RotateLeft' : 'RotateRight' }, isLeft ? react_1.default.createElement(RotateLeft_1.default, { className: classes.icon }) : react_1.default.createElement(RotateRight_1.default, { className: classes.icon })));
    };
    return react_1.default.createElement(rotate_widget_1.RotateWidget, { renderButton: button, mode: props.mode, pages: "all" });
};
exports.RotateDocumentWidget = RotateDocumentWidget;
//# sourceMappingURL=rotate-document.js.map