"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleRedactionWidget = void 0;
const tslib_1 = require("tslib");
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const PictureInPicture_1 = tslib_1.__importDefault(require("@material-ui/icons/PictureInPicture"));
const clsx_1 = tslib_1.__importDefault(require("clsx"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const toggle_base_1 = require("./toggle-base");
const useStyles = makeStyles_1.default((theme) => {
    return createStyles_1.default({
        iconButton: {},
        icon: {},
        iconActive: {
            fill: theme.palette.primary.main,
        },
    });
});
/**
 * Document widget component to toggleing redaction
 */
const ToggleRedactionWidget = (props) => {
    const classes = useStyles(props);
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    const permissions = hooks_1.useDocumentPermissions();
    return (react_1.default.createElement(toggle_base_1.ToggleBase, { disabled: !permissions.canHideRedaction, classes: classes, active: viewerState.showRedaction, title: localization.toggleRedaction, setValue: (value) => viewerState.updateState({ showRedaction: value }) },
        react_1.default.createElement(PictureInPicture_1.default, { className: clsx_1.default(classes.icon, { [classes.iconActive]: viewerState.showRedaction }) })));
};
exports.ToggleRedactionWidget = ToggleRedactionWidget;
//# sourceMappingURL=toggle-redaction.js.map