/// <reference types="react" />
import { DraftCommentMarker } from '@sensenet/client-core';
export declare const MARKER_SIZE = 10;
declare type Props = {
    marker: DraftCommentMarker;
    zoomRatio: number;
    isSelected: boolean;
    rotation: number;
};
/**
 * Return a styled comment marker component
 * @param marker Attributes of the marker
 * @param zoomRatio Zoom ratio
 * @param isSelected Flag to store is marker is selected or not
 * @param rotation Page rotation degree
 * @returns styled comment marker component
 */
export declare function CommentMarker({ marker, zoomRatio, isSelected, rotation }: Props): JSX.Element;
export {};
//# sourceMappingURL=comment-marker.d.ts.map