"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentMarker = exports.MARKER_SIZE = exports.ShapesContainer = void 0;
const tslib_1 = require("tslib");
const styled_components_1 = tslib_1.__importDefault(require("styled-components"));
exports.ShapesContainer = styled_components_1.default.div `
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  z-index: 1;
`;
exports.MARKER_SIZE = 10;
exports.CommentMarker = styled_components_1.default('div') `
  position: absolute;
  top: ${(props) => {
    switch (props.rotation) {
        case 90:
            return `${parseFloat(props.marker.x) * props.zoomRatioLying}px`;
        case 180:
            return 'unset';
        case 270:
            return 'unset';
        default:
            return `${parseFloat(props.marker.y) * props.zoomRatioStanding}px`;
    }
}};
  right: ${(props) => {
    switch (props.rotation) {
        case 90:
            return `${parseFloat(props.marker.y) * props.zoomRatioLying}px`;
        case 180:
            return `${parseFloat(props.marker.x) * props.zoomRatioStanding}px`;
        case 270:
            return 'unset';
        default:
            return 'unset';
    }
}};
  bottom: ${(props) => {
    switch (props.rotation) {
        case 90:
            return 'unset';
        case 180:
            return `${parseFloat(props.marker.y) * props.zoomRatioStanding}px`;
        case 270:
            return `${parseFloat(props.marker.x) * props.zoomRatioLying}px`;
        default:
            return 'unset';
    }
}};
  left: ${(props) => {
    switch (props.rotation) {
        case 90:
            return 'unset';
        case 180:
            return 'unset';
        case 270:
            return `${parseFloat(props.marker.y) * props.zoomRatioLying}px`;
        default:
            return `${parseFloat(props.marker.x) * props.zoomRatioStanding}px`;
    }
}};
  width: ${exports.MARKER_SIZE}px;
  height: ${exports.MARKER_SIZE}px;
  border-radius: ${exports.MARKER_SIZE}px;
  background-color: ${(props) => props.isSelected ? props.theme.palette.primary.light : props.theme.palette.primary.dark};
  cursor: pointer;
`;
//# sourceMappingURL=style.js.map