import { Annotation } from '@sensenet/client-core';
import React from 'react';
declare type Props = {
    permissions: {
        canEdit: boolean;
        canHideRedaction: boolean;
        canHideWatermark: boolean;
    };
    shape: Annotation;
    zoomRatio: number;
    dimensions: {
        top: string | number | (string & {}) | undefined;
        left: string | number | (string & {}) | undefined;
        width: string | number | (string & {}) | undefined;
        height: string | number | (string & {}) | undefined;
    };
    onDragStart: (ev: React.DragEvent<HTMLElement>) => void;
    onResized: (ev: React.MouseEvent<HTMLElement>) => void;
    renderChildren: () => JSX.Element;
};
/**
 * Retrun a styled wrapper component
 * @param permissions The permissions of the user
 * @param shape The arguments of the annotation
 * @param zoomRatio The arguments of the annotation
 * @param dimensions The dimensions of the annotation
 * @param children The wrapped components
 * @returns styled wrapper component
 */
export default function StyledWrapper({ permissions, shape, zoomRatio, dimensions, onDragStart, onResized, renderChildren, }: Props): JSX.Element;
export {};
//# sourceMappingURL=styled-wrapper.d.ts.map