"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbnailPage = void 0;
const tslib_1 = require("tslib");
const CircularProgress_1 = tslib_1.__importDefault(require("@material-ui/core/CircularProgress"));
const Paper_1 = tslib_1.__importDefault(require("@material-ui/core/Paper"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const react_1 = tslib_1.__importDefault(require("react"));
const __1 = require("..");
const hooks_1 = require("../hooks");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        thumbnailPage: {
            padding: 0,
            overflow: 'hidden',
            width: ({ page }) => page.Width - 2 * __1.THUMBNAIL_PADDING,
            height: ({ page }) => page.Height - 2 * __1.THUMBNAIL_PADDING,
            position: 'relative',
        },
        image: {
            display: 'flex',
            justifyContent: 'center',
        },
    });
});
const ThumbnailPage = (props) => {
    const classes = useStyles(props);
    const viewerState = hooks_1.useViewerState();
    const page = hooks_1.usePreviewImage(props.page.Index);
    const isActive = page.image && viewerState.activePage === page.image.Index;
    const imgUrl = (page.image && page.image.ThumbnailImageUrl) || '';
    return (react_1.default.createElement(Paper_1.default, { elevation: isActive ? 8 : 2, className: __1.THUMBNAIL_NAME, style: { margin: __1.THUMBNAIL_PADDING } },
        react_1.default.createElement("div", { className: classes.thumbnailPage, onClick: (ev) => {
                props.onClick(ev);
            } },
            react_1.default.createElement("span", { className: classes.image }, imgUrl ? (react_1.default.createElement("img", { src: `${imgUrl}${viewerState.showWatermark ? '?watermark=true' : ''}`, alt: "", style: {
                    transition: 'transform .1s ease-in-out',
                } })) : (react_1.default.createElement(CircularProgress_1.default, { style: { marginTop: '50%' } }))))));
};
exports.ThumbnailPage = ThumbnailPage;
//# sourceMappingURL=thumbnail-page.js.map