"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ViewerStateProvider = exports.ViewerStateContext = exports.defaultViewerState = exports.DEFAULT_ZOOM_LEVEL = void 0;
const tslib_1 = require("tslib");
const client_utils_1 = require("@sensenet/client-utils");
const react_1 = tslib_1.__importStar(require("react"));
exports.DEFAULT_ZOOM_LEVEL = 3;
exports.defaultViewerState = {
    activePage: 1,
    showWatermark: false,
    showRedaction: true,
    showShapes: true,
    showThumbnails: false,
    zoomLevel: exports.DEFAULT_ZOOM_LEVEL,
    rotation: undefined,
    showComments: false,
    hasChanges: false,
    isPlacingCommentMarker: false,
    activeShapePlacing: 'none',
    isCreateCommentActive: false,
    pageToGo: new client_utils_1.ObservableValue({ page: 1 }),
    updateState: () => { },
};
exports.ViewerStateContext = react_1.default.createContext(exports.defaultViewerState);
const ViewerStateProvider = (props) => {
    const [state, setState] = react_1.useState(client_utils_1.deepMerge(Object.assign({}, exports.defaultViewerState), props.options));
    react_1.useEffect(() => {
        setState(client_utils_1.deepMerge(Object.assign({}, exports.defaultViewerState), props.options));
    }, [props.options]);
    const updateState = react_1.useCallback((newState) => {
        setState(client_utils_1.deepMerge(Object.assign({}, state), newState));
    }, [state]);
    return react_1.default.createElement(exports.ViewerStateContext.Provider, { value: Object.assign(Object.assign({}, state), { updateState }) }, props.children);
};
exports.ViewerStateProvider = ViewerStateProvider;
//# sourceMappingURL=viewer-state.js.map