"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyShapeRotations = void 0;
/**
 * helper method to apply shape rotations
 * @param shapes the shape(s) to rotate
 * @param degree the rotation angle in degrees
 * @param pages the page info
 */
const applyShapeRotations = (shapes, degree, page) => [
    ...shapes.map((shape) => {
        const origShape = shape;
        switch (degree) {
            case 90:
                return Object.assign(Object.assign({}, origShape), { x: page.Height - (origShape.y + origShape.h), y: origShape.x, h: origShape.w, w: origShape.h });
            case 180:
                return Object.assign(Object.assign({}, origShape), { x: page.Width - (origShape.x + origShape.w), y: page.Height - (origShape.y + origShape.h) });
            case 270:
                return Object.assign(Object.assign({}, origShape), { x: origShape.y, y: page.Width - (origShape.x + origShape.w), h: origShape.w, w: origShape.h });
            default:
                return Object.assign({}, origShape);
        }
    }),
];
exports.applyShapeRotations = applyShapeRotations;
//# sourceMappingURL=apply-shape-rotations.js.map